Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

libhunspell-1.2.so.0 not in Ubuntu 12.04

Help
Anonymous
2012-04-12
2012-08-29

  • Anonymous
    2012-04-12

    Hello,

    RssOwl 2.1.2 depends on libhunspell-1.2.so.0 which is no longer available in
    Ubuntu 12.04 because it has been superseded by libhunspell-1.3-0 (http://pack
    ages.ubuntu.com/precise/libhunspell-1.3-0).

    Can RssOwl be recompiled to depend on this version?

    dpkg-shlibdeps: error: couldn't find library libhunspell-1.2.so.0 needed by
    debian/rssowl/usr/lib/rssowl/xulrunner/libxul.so (ELF format: 'elf64-x86-64';
    RPATH: '').

     
  • genodeftest
    genodeftest
    2012-04-12

    You can solve this problem (temporarily) by creating a symlink from
    libhunspell-1.2.so.0 to the new libhunspell 1.3 file. No recompilation needed.

    btw: We would need to recompile XULRunner 1.9.xx, not RSSOwl itself.

     
  • genodeftest
    genodeftest
    2012-04-12

    temporarily means: until the next dist upgrade or anything else when another
    "major" version of libhunspell is bundled.

     

  • Anonymous
    2012-04-13

    Hello,

    thanks for the quick response.

    This workaround did it.

    The RSSOwl package can finally be released on GetDeb.net for Ubuntu 12.04.

    Thanks :)

     
  • Bob535
    Bob535
    2012-05-07

    Could you explain where you created the sym link?

    I tried in both /usr/lib and /usr/lib/x86-64-linux-gnu

     
  • genodeftest
    genodeftest
    2012-05-07

    ln /usr/lib64/libhunspell-1.3.so.0 /usr/lib64/libhunspell-1.2.so.0

    did it for my case (Fedora 17 x86_64)

     
  • Bob535
    Bob535
    2012-05-09

    Didn't work for me, Ubuntu 12.04 does not have a seperate lib64 library. As
    mentioned earlier I tried in the normal lib and lib/x86-64-linux-gnu

    Anyone have the instructions for ubuntu 12.04?